Đến nội dung


Hình ảnh
- - - - -

"[Yêu cầu] Entmake đối tượng như dùng lệnh xclip cắt block"


  • Please log in to reply
4 replies to this topic

#1 sam8xd

sam8xd

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 05 April 2012 - 10:54 AM

Mình có 1 cái block sẵn rồi và một đường bao
Bình thường mình dùng lệnh xclip để cắt cái block đó theo đường bao.
Nhưng bây giờ muốn dùng entmake cho nhanh thì làm thế nào nhỉ?
Thanks ace!
  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 05 April 2012 - 11:26 AM

Mình có 1 cái block sẵn rồi và một đường bao
Bình thường mình dùng lệnh xclip để cắt cái block đó theo đường bao.
Nhưng bây giờ muốn dùng entmake cho nhanh thì làm thế nào nhỉ?
Thanks ace!

Xclip thì nó vẫn là bolck sau khi cắt. Vậy câu đỏ nghĩa là gì?
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 sam8xd

sam8xd

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 05 April 2012 - 11:31 AM

đây là block

((-1 . <Entity name: 7dd0d1d8>) (0 . "INSERT") (330 . <Entity
name: 7ef54cf8>) (5 . "4AB") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"0") (100 . "AcDbBlockReference") (2 . "123") (10 446401.0 2.22206e+006 0.0)
(41 . 1.0) (42 . 1.0) (43 . 1.0) (50 . 0.0) (70 . 0) (71 . 0) (44 . 0.0) (45 .
0.0) (210 0.0 0.0 1.0))
đây là đối tượng block sau khi dùng lệnh xclip

((-1 . <Entity name: 7dd0d1d8>) (0 . "INSERT") (5 . "4AB") (102
. "{ACAD_XDICTIONARY") (360 . <Entity name: 7dd0d200>) (102 . "}") (330 .
<Entity name: 7ef54cf8>) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
"0") (100 . "AcDbBlockReference") (2 . "123") (10 446401.0 2.22206e+006 0.0)
(41 . 1.0) (42 . 1.0) (43 . 1.0) (50 . 0.0) (70 . 0) (71 . 0) (44 . 0.0) (45 .
0.0) (210 0.0 0.0 1.0))
mình muốn tạo luôn đối tượng sau bằng entmake được không nhỉ
  • 0

#4 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 05 April 2012 - 03:21 PM

Cái này khó đấy. Mình đang nghiên cứu cách đưa tỷ lệ (annotation scale) vào đối tượng, hay nói cách khác là mình muốn make được các đối tượng có chứa thuộc tính annotative. cách thức của nó cũng giống hệt như điều bạn muốn làm, nhưng hiện tại mình chưa thành công. Đây là công việc phải can thiệp vào DICTIONARY và Xrecord. sam8xd cứ nghiên cứu đi nhé, có gì chúng ta cùng trao đổi thông tin
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#5 sam8xd

sam8xd

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 05 April 2012 - 09:57 PM

Khó lắm bác ạ. Tự làm thì em chịu rồi, truy cái mã 360 đến lần thứ 3 mới thấy bóng dáng đường bao của mình :o .
Lục tung internet cũng chẳng thấy
Thôi thì dùng xclip zậy :D
  • 0